/*
 * Mirai. Copyright (C) 2024 Vyn
 * This file is licensed under version 3 of the GNU General Public License (GPL-3.0-only)
 * The license can be found in the LICENSE file or at https://www.gnu.org/licenses/gpl-3.0.txt
 */

#pragma once

#include "nlohmann/json.hpp"
#include <string>

namespace mirai
{

class ConfigImpl
{
  public:
	ConfigImpl(const std::string &path);

	std::vector<std::string> sources() const;
	std::string path() const;

  private:
	std::string path_;
	nlohmann::json configJson_;
};
} // namespace mirai
